package com.zipcoder.payment;

public class Check implements Payment{

private Long Id;
private String payerName;
private String routingNumber;
private String accountNumber;

    public Check(Long id, String payerName, String routingNumber, String accountNumber) {
        Id = id;
        this.payerName = payerName;
        this.routingNumber = routingNumber;
        this.accountNumber = accountNumber;
    }

    @Override
    public Long getId() {
        return Id;
    }

    @Override
    public String getPayerName() {
        return payerName;
    }

    @Override
    public String getShortDescription() {
        return "Check " + this.payerName + " ***" + getAccountNumber().substring(getAccountNumber().length() - 4);
    }

    public void setId(Long id) {
        this.Id = id;
    }

    public void setPayerName(String payerName) {
        this.payerName = payerName;
    }

    public String getRoutingNumber() {
        return routingNumber;
    }

    public void setRoutingNumber(String routingNumber) {
        this.routingNumber = routingNumber;
    }

    public String getAccountNumber() {
        return accountNumber;
    }

    public void setAccountNumber(String accountNumber) {
        this.accountNumber = accountNumber;
    }

    @Override
    public int compareTo(Payment o) {
        return 0;
    }
}
