package com.zipcoder.payment;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

public class CheckTest {

    Check check1;
    Check check2;

    @Before
    public void setup(){
        check1 = new Check(1L,"Kris","12345","1111");
        check2 = new Check(2L,"Kate","56789","2222");
    }

    @Test
    public void testId(){
        check1.setId(3L);

        Long expected = 3L;
        Long actual = check1.getId();
        Assert.assertEquals(expected,actual);
    }

    @Test
    public void testName(){
        check1.setPayerName("Jevit");

        String expected = "Jevit";
        String actual = check1.getPayerName();
        Assert.assertEquals(expected,actual);
    }

    @Test
    public void testAccountNumber(){
        check1.setAccountNumber("02468");

        String expected = "02468";
        String actual = check1.getRoutingNumber();
        Assert.assertEquals(expected,actual);
    }

}
