package com.zipcoder.payment;

public class CreditCard implements Payment{

    private Long Id;
    private String payerName;
    private String number;
    private int expiredMonth;
    private int expiredYear;

    public CreditCard(Long Id, String payerName, String number, int expiredMonth, int expiredYear) {
        this.Id = Id;
        this.payerName = payerName;
        this.number = number;
        this.expiredMonth = expiredMonth;
        this.expiredYear = expiredYear;
    }

    @Override
    public Long getId() {
        return Id;
    }

    @Override
    public String getPayerName() {
        return payerName;
    }

    @Override
    public String getShortDescription() {
        return "CC " + getPayerName() + " " + getNumber().substring(getNumber().length() -4)
                + " " + getExpiredMonth() + "/" + getExpiredYear();
    }

    public void setId(Long ID) {
        this.Id = ID;
    }

    public void setPayerName(String payerName) {
        this.payerName = payerName;
    }

    public String getNumber() {
        return number;
    }

    public void setNumber(String number) {
        this.number = number;
    }

    public int getExpiredMonth() {
        return expiredMonth;
    }

    public void setExpiredMonth(int expiredMonth) {
        this.expiredMonth = expiredMonth;
    }

    public int getExpiredYear() {
        return expiredYear;
    }

    public void setExpiredYear(int expiredYear) {
        this.expiredYear = expiredYear;
    }

    @Override
    public int compareTo(Payment o) {
       return 0;
    }
}
